<?php
/**
 * Intreface DAO
 *
 * @author: http://phpdao.com
 * @date: 2014-09-07 16:06
 */
interface MInitialmaintenancedetailDAO{

	/**
	 * Get Domain object by primry key
	 *
	 * @param String $id primary key
	 * @Return MInitialmaintenancedetail 
	 */
	public function load($id);

	/**
	 * Get all records from table
	 */
	public function queryAll();
	
	/**
	 * Get all records from table ordered by field
	 * @Param $orderColumn column name
	 */
	public function queryAllOrderBy($orderColumn);
	
	/**
 	 * Delete record from table
 	 * @param mInitialmaintenancedetail primary key
 	 */
	public function delete($initialMaintenanceDetailId);
	
	/**
 	 * Insert record to table
 	 *
 	 * @param MInitialmaintenancedetail mInitialmaintenancedetail
 	 */
	public function insert($mInitialmaintenancedetail);
	
	/**
 	 * Update record in table
 	 *
 	 * @param MInitialmaintenancedetail mInitialmaintenancedetail
 	 */
	public function update($mInitialmaintenancedetail);	

	/**
	 * Delete all rows
	 */
	public function clean();

	public function queryByInitialMaintenanceId($value);

	public function queryByPropertyId($value);

	public function queryByPropertyValue($value);

	public function queryByUserId($value);

	public function queryByBranchId($value);

	public function queryByInitialMaintenanceDetailDate($value);

	public function queryByDel($value);


	public function deleteByInitialMaintenanceId($value);

	public function deleteByPropertyId($value);

	public function deleteByPropertyValue($value);

	public function deleteByUserId($value);

	public function deleteByBranchId($value);

	public function deleteByInitialMaintenanceDetailDate($value);

	public function deleteByDel($value);


}
?>